diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/traced-value.h ns-3.47/src/core/model/traced-value.h
--- ns-3.46/src/core/model/traced-value.h	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/traced-value.h	2026-02-16 16:08:49.587229700 -0800
@@ -152,7 +152,7 @@
     /**
      * Copy from a TracedValue of a compatible type.
      * @tparam U \deduced The underlying type of the other TracedValue.
-     * @param [in] other The other TracedValuet to copy.
+     * @param [in] other The other TracedValue to copy.
      */
     template <typename U>
     TracedValue(const TracedValue<U>& other)
@@ -327,6 +327,7 @@
  * @param [in] rhs The right-hand argument.
  * @returns The Boolean result of comparing the underlying values.
  */
+/**@{*/
 template <typename T, typename U>
 bool
 operator==(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
@@ -335,7 +336,6 @@
     return lhs.Get() == rhs.Get();
 }
 
-/** @copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 bool
 operator==(const TracedValue<T>& lhs, const U& rhs)
@@ -344,7 +344,6 @@
     return lhs.Get() == rhs;
 }
 
-/** @copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 bool
 operator==(const U& lhs, const TracedValue<T>& rhs)
@@ -353,7 +352,6 @@
     return lhs == rhs.Get();
 }
 
-/** @copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 bool
 operator!=(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
@@ -362,7 +360,6 @@
     return lhs.Get() != rhs.Get();
 }
 
-/** @copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 bool
 operator!=(const TracedValue<T>& lhs, const U& rhs)
@@ -371,7 +368,6 @@
     return lhs.Get() != rhs;
 }
 
-/** @copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 bool
 operator!=(const U& lhs, const TracedValue<T>& rhs)
@@ -380,7 +376,6 @@
     return lhs != rhs.Get();
 }
 
-/** @copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 bool
 operator<=(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
@@ -389,7 +384,6 @@
     return lhs.Get() <= rhs.Get();
 }
 
-/** @copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 bool
 operator<=(const TracedValue<T>& lhs, const U& rhs)
@@ -398,7 +392,6 @@
     return lhs.Get() <= rhs;
 }
 
-/** @copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 bool
 operator<=(const U& lhs, const TracedValue<T>& rhs)
@@ -407,7 +400,6 @@
     return lhs <= rhs.Get();
 }
 
-/** @copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 bool
 operator>=(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
@@ -416,7 +408,6 @@
     return lhs.Get() >= rhs.Get();
 }
 
-/** @copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 bool
 operator>=(const TracedValue<T>& lhs, const U& rhs)
@@ -425,7 +416,6 @@
     return lhs.Get() >= rhs;
 }
 
-/** @copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 bool
 operator>=(const U& lhs, const TracedValue<T>& rhs)
@@ -434,7 +424,6 @@
     return lhs >= rhs.Get();
 }
 
-/** @copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 bool
 operator<(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
@@ -443,7 +432,6 @@
     return lhs.Get() < rhs.Get();
 }
 
-/** @copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 bool
 operator<(const TracedValue<T>& lhs, const U& rhs)
@@ -452,7 +440,6 @@
     return lhs.Get() < rhs;
 }
 
-/** @copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 bool
 operator<(const U& lhs, const TracedValue<T>& rhs)
@@ -461,7 +448,6 @@
     return lhs < rhs.Get();
 }
 
-/** @copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 bool
 operator>(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
@@ -470,7 +456,6 @@
     return lhs.Get() > rhs.Get();
 }
 
-/** @copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 bool
 operator>(const TracedValue<T>& lhs, const U& rhs)
@@ -479,7 +464,6 @@
     return lhs.Get() > rhs;
 }
 
-/** @copydoc operator==(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 bool
 operator>(const U& lhs, const TracedValue<T>& rhs)
@@ -488,6 +472,8 @@
     return lhs > rhs.Get();
 }
 
+/**@}*/
+
 /**
  * Infix arithmetic operator for TracedValue.
  *
@@ -498,9 +484,9 @@
  * @tparam U \deduced The underlying type held by the right-hand argument.
  * @param [in] lhs The left-hand argument.
  * @param [in] rhs The right-hand argument.
- * @returns The result of doing the operator on
- *     the underlying values.
+ * @returns The result of doing the operator on the underlying values.
  */
+/**@{*/
 template <typename T, typename U>
 auto
 operator+(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
@@ -510,7 +496,6 @@
     return TracedValue<decltype(lhs.Get() + rhs.Get())>(lhs.Get() + rhs.Get());
 }
 
-/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator+(const TracedValue<T>& lhs, const U& rhs) -> TracedValue<decltype(lhs.Get() + rhs)>
@@ -519,7 +504,6 @@
     return TracedValue<decltype(lhs.Get() + rhs)>(lhs.Get() + rhs);
 }
 
-/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator+(const U& lhs, const TracedValue<T>& rhs) -> TracedValue<decltype(lhs + rhs.Get())>
@@ -528,7 +512,6 @@
     return TracedValue<decltype(lhs + rhs.Get())>(lhs + rhs.Get());
 }
 
-/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator-(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
@@ -538,7 +521,6 @@
     return TracedValue<decltype(lhs.Get() - rhs.Get())>(lhs.Get() - rhs.Get());
 }
 
-/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator-(const TracedValue<T>& lhs, const U& rhs) -> TracedValue<decltype(lhs.Get() - rhs)>
@@ -547,7 +529,6 @@
     return TracedValue<decltype(lhs.Get() - rhs)>(lhs.Get() - rhs);
 }
 
-/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator-(const U& lhs, const TracedValue<T>& rhs) -> TracedValue<decltype(lhs - rhs.Get())>
@@ -556,7 +537,6 @@
     return TracedValue<decltype(lhs - rhs.Get())>(lhs - rhs.Get());
 }
 
-/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator*(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
@@ -566,7 +546,6 @@
     return TracedValue<decltype(lhs.Get() * rhs.Get())>(lhs.Get() * rhs.Get());
 }
 
-/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator*(const TracedValue<T>& lhs, const U& rhs) -> TracedValue<decltype(lhs.Get() * rhs)>
@@ -575,7 +554,6 @@
     return TracedValue<decltype(lhs.Get() * rhs)>(lhs.Get() * rhs);
 }
 
-/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator*(const U& lhs, const TracedValue<T>& rhs) -> TracedValue<decltype(lhs + rhs.Get())>
@@ -584,7 +562,6 @@
     return TracedValue<decltype(lhs + rhs.Get())>(lhs * rhs.Get());
 }
 
-/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator/(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
@@ -594,7 +571,6 @@
     return TracedValue<decltype(lhs.Get() / rhs.Get())>(lhs.Get() / rhs.Get());
 }
 
-/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator/(const TracedValue<T>& lhs, const U& rhs) -> TracedValue<decltype(lhs.Get() / rhs)>
@@ -603,7 +579,6 @@
     return TracedValue<decltype(lhs.Get() / rhs)>(lhs.Get() / rhs);
 }
 
-/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator/(const U& lhs, const TracedValue<T>& rhs) -> TracedValue<decltype(lhs / rhs.Get())>
@@ -612,7 +587,6 @@
     return TracedValue<decltype(lhs / rhs.Get())>(lhs / rhs.Get());
 }
 
-/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator%(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
@@ -622,7 +596,6 @@
     return TracedValue<decltype(lhs.Get() % rhs.Get())>(lhs.Get() % rhs.Get());
 }
 
-/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator%(const TracedValue<T>& lhs, const U& rhs) -> TracedValue<decltype(lhs.Get() % rhs)>
@@ -631,7 +604,6 @@
     return TracedValue<decltype(lhs.Get() % rhs)>(lhs.Get() % rhs);
 }
 
-/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator%(const U& lhs, const TracedValue<T>& rhs) -> TracedValue<decltype(lhs % rhs.Get())>
@@ -640,7 +612,6 @@
     return TracedValue<decltype(lhs % rhs.Get())>(lhs % rhs.Get());
 }
 
-/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator^(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
@@ -650,7 +621,6 @@
     return TracedValue<decltype(lhs.Get() ^ rhs.Get())>(lhs.Get() ^ rhs.Get());
 }
 
-/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator^(const TracedValue<T>& lhs, const U& rhs) -> TracedValue<decltype(lhs.Get() ^ rhs)>
@@ -659,7 +629,6 @@
     return TracedValue<decltype(lhs.Get() ^ rhs)>(lhs.Get() ^ rhs);
 }
 
-/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator^(const U& lhs, const TracedValue<T>& rhs) -> TracedValue<decltype(lhs ^ rhs.Get())>
@@ -668,7 +637,6 @@
     return TracedValue<decltype(lhs ^ rhs.Get())>(lhs ^ rhs.Get());
 }
 
-/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator|(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
@@ -678,7 +646,6 @@
     return TracedValue<decltype(lhs.Get() | rhs.Get())>(lhs.Get() | rhs.Get());
 }
 
-/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator|(const TracedValue<T>& lhs, const U& rhs) -> TracedValue<decltype(lhs.Get() | rhs)>
@@ -687,7 +654,6 @@
     return TracedValue<decltype(lhs.Get() | rhs)>(lhs.Get() | rhs);
 }
 
-/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator|(const U& lhs, const TracedValue<T>& rhs) -> TracedValue<decltype(lhs | rhs.Get())>
@@ -696,7 +662,6 @@
     return TracedValue<decltype(lhs | rhs.Get())>(lhs | rhs.Get());
 }
 
-/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator&(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
@@ -706,7 +671,6 @@
     return TracedValue<decltype(lhs.Get() & rhs.Get())>(lhs.Get() & rhs.Get());
 }
 
-/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator&(const TracedValue<T>& lhs, const U& rhs) -> TracedValue<decltype(lhs.Get() & rhs)>
@@ -715,7 +679,6 @@
     return TracedValue<decltype(lhs.Get() & rhs)>(lhs.Get() & rhs);
 }
 
-/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator&(const U& lhs, const TracedValue<T>& rhs) -> TracedValue<decltype(lhs & rhs.Get())>
@@ -724,7 +687,6 @@
     return TracedValue<decltype(lhs & rhs.Get())>(lhs & rhs.Get());
 }
 
-/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator<<(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
@@ -734,7 +696,6 @@
     return TracedValue<decltype(lhs.Get() << rhs.Get())>(lhs.Get() << rhs.Get());
 }
 
-/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator<<(const TracedValue<T>& lhs, const U& rhs) -> TracedValue<decltype(lhs.Get() << rhs)>
@@ -743,7 +704,6 @@
     return TracedValue<decltype(lhs.Get() << rhs)>(lhs.Get() << rhs);
 }
 
-/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator<<(const U& lhs, const TracedValue<T>& rhs) -> TracedValue<decltype(lhs << rhs.Get())>
@@ -752,7 +712,6 @@
     return TracedValue<decltype(lhs << rhs.Get())>(lhs << rhs.Get());
 }
 
-/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator>>(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
@@ -762,7 +721,6 @@
     return TracedValue<decltype(lhs.Get() >> rhs.Get())>(lhs.Get() >> rhs.Get());
 }
 
-/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator>>(const TracedValue<T>& lhs, const U& rhs) -> TracedValue<decltype(lhs.Get() >> rhs)>
@@ -771,7 +729,6 @@
     return TracedValue<decltype(lhs.Get() >> rhs)>(lhs.Get() >> rhs);
 }
 
-/** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
 template <typename T, typename U>
 auto
 operator>>(const U& lhs, const TracedValue<T>& rhs) -> TracedValue<decltype(lhs >> rhs.Get())>
@@ -780,6 +737,8 @@
     return TracedValue<decltype(lhs >> rhs.Get())>(lhs >> rhs.Get());
 }
 
+/**@}*/
+
 /**
  * Operator assignment for TracedValue.
  *
@@ -791,9 +750,9 @@
  * @tparam U \deduced The underlying type held by the right-hand argument.
  * @param [in] lhs The left-hand argument.
  * @param [in] rhs The right-hand argument.
- * @returns The result of doing the operator on
- *     the underlying values.
+ * @returns The result of doing the operator on the underlying values.
  */
+/**@{*/
 template <typename T, typename U>
 TracedValue<T>&
 operator+=(TracedValue<T>& lhs, const U& rhs)
@@ -805,7 +764,6 @@
     return lhs;
 }
 
-/** @copydoc operator+=(TracedValue<T>&lhs,const U&rhs) */
 template <typename T, typename U>
 TracedValue<T>&
 operator-=(TracedValue<T>& lhs, const U& rhs)
@@ -817,7 +775,6 @@
     return lhs;
 }
 
-/** @copydoc operator+=(TracedValue<T>&lhs,const U&rhs) */
 template <typename T, typename U>
 TracedValue<T>&
 operator*=(TracedValue<T>& lhs, const U& rhs)
@@ -829,7 +786,6 @@
     return lhs;
 }
 
-/** @copydoc operator+=(TracedValue<T>&lhs,const U&rhs) */
 template <typename T, typename U>
 TracedValue<T>&
 operator/=(TracedValue<T>& lhs, const U& rhs)
@@ -841,7 +797,6 @@
     return lhs;
 }
 
-/** @copydoc operator+=(TracedValue<T>&lhs,const U&rhs) */
 template <typename T, typename U>
 TracedValue<T>&
 operator%=(TracedValue<T>& lhs, const U& rhs)
@@ -853,7 +808,6 @@
     return lhs;
 }
 
-/** @copydoc operator+=(TracedValue<T>&lhs,const U&rhs) */
 template <typename T, typename U>
 TracedValue<T>&
 operator<<=(TracedValue<T>& lhs, const U& rhs)
@@ -865,7 +819,6 @@
     return lhs;
 }
 
-/** @copydoc operator+=(TracedValue<T>&lhs,const U&rhs) */
 template <typename T, typename U>
 TracedValue<T>&
 operator>>=(TracedValue<T>& lhs, const U& rhs)
@@ -877,7 +830,6 @@
     return lhs;
 }
 
-/** @copydoc operator+=(TracedValue<T>&lhs,const U&rhs) */
 template <typename T, typename U>
 TracedValue<T>&
 operator&=(TracedValue<T>& lhs, const U& rhs)
@@ -889,7 +841,6 @@
     return lhs;
 }
 
-/** @copydoc operator+=(TracedValue<T>&lhs,const U&rhs) */
 template <typename T, typename U>
 TracedValue<T>&
 operator|=(TracedValue<T>& lhs, const U& rhs)
@@ -901,7 +852,6 @@
     return lhs;
 }
 
-/** @copydoc operator+=(TracedValue<T>&lhs,const U&rhs) */
 template <typename T, typename U>
 TracedValue<T>&
 operator^=(TracedValue<T>& lhs, const U& rhs)
@@ -913,14 +863,16 @@
     return lhs;
 }
 
+/**@}*/
+
 /**
  * Unary arithmetic operator for TracedValue.
  *
  * @tparam T \deduced The underlying type held by the TracedValue.
  * @param [in] lhs The TracedValue.
- * @returns The result of doing the operator on
- *     the underlying values.
+ * @returns The result of doing the operator on the underlying values.
  */
+/**@{*/
 template <typename T>
 TracedValue<T>
 operator+(const TracedValue<T>& lhs)
@@ -929,7 +881,6 @@
     return TracedValue<T>(+lhs.Get());
 }
 
-/** @copydoc operator+(const TracedValue<T>&lhs) */
 template <typename T>
 TracedValue<T>
 operator-(const TracedValue<T>& lhs)
@@ -938,7 +889,6 @@
     return TracedValue<T>(-lhs.Get());
 }
 
-/** @copydoc operator+(const TracedValue<T>&lhs) */
 template <typename T>
 TracedValue<T>
 operator~(const TracedValue<T>& lhs)
@@ -947,7 +897,6 @@
     return TracedValue<T>(~lhs.Get());
 }
 
-/** @copydoc operator+(const TracedValue<T>&lhs) */
 template <typename T>
 TracedValue<T>
 operator!(const TracedValue<T>& lhs)
@@ -956,6 +905,8 @@
     return TracedValue<T>(!lhs.Get());
 }
 
+/**@}*/
+
 /**@}*/ // \ingroup tracing
 
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/trace-source-accessor.h ns-3.47/src/core/model/trace-source-accessor.h
--- ns-3.46/src/core/model/trace-source-accessor.h	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/trace-source-accessor.h	2026-02-16 16:08:49.587229700 -0800
@@ -101,6 +101,7 @@
  *
  * @param [in] a The trace source
  * @returns The TraceSourceAccessor
+ * @hidecaller
  */
 template <typename T>
 Ptr<const TraceSourceAccessor> MakeTraceSourceAccessor(T a);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/type-id.cc ns-3.47/src/core/model/type-id.cc
--- ns-3.46/src/core/model/type-id.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/type-id.cc	2026-02-16 16:08:49.588230000 -0800
@@ -12,9 +12,7 @@
 #include "singleton.h"
 #include "trace-source-accessor.h"
 
-#include <iomanip>
 #include <map>
-#include <sstream>
 #include <vector>
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/type-id.h ns-3.47/src/core/model/type-id.h
--- ns-3.46/src/core/model/type-id.h	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/type-id.h	2026-02-16 16:08:49.588230000 -0800
@@ -13,6 +13,7 @@
 #include "attribute.h"
 #include "callback.h"
 #include "deprecated.h"
+#include "event-id.h"
 #include "hash.h"
 #include "trace-source-accessor.h"
 
@@ -132,6 +133,8 @@
      *
      * This method cannot fail: it will crash if the input
      * name is not a valid TypeId name.
+     *
+     * @hidecaller
      */
     static TypeId LookupByName(std::string name);
     /**
@@ -244,6 +247,7 @@
      * Get the name.
      *
      * @returns The name of this interface.
+     * @hidecaller
      */
     std::string GetName() const;
 
@@ -326,6 +330,8 @@
      *
      * Record in this TypeId which TypeId is the TypeId
      * of the base class of the subclass.
+     *
+     * @hidecaller
      */
     TypeId SetParent(TypeId tid);
     /**
@@ -336,6 +342,8 @@
      *
      * Record in this TypeId which TypeId is the TypeId
      * of the base class of the subclass.
+     *
+     * @hidecaller
      */
     template <typename T>
     TypeId SetParent();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/uinteger.cc ns-3.47/src/core/model/uinteger.cc
--- ns-3.46/src/core/model/uinteger.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/uinteger.cc	2026-02-16 16:08:49.588230000 -0800
@@ -7,7 +7,6 @@
  */
 #include "uinteger.h"
 
-#include "fatal-error.h"
 #include "log.h"
 
 #include <sstream>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/unix-fd-reader.cc ns-3.47/src/core/model/unix-fd-reader.cc
--- ns-3.46/src/core/model/unix-fd-reader.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/unix-fd-reader.cc	2026-02-16 16:08:49.588230000 -0800
@@ -9,7 +9,6 @@
 #include "fatal-error.h"
 #include "fd-reader.h"
 #include "log.h"
-#include "simple-ref-count.h"
 #include "simulator.h"
 
 #include <cerrno>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/vector.cc ns-3.47/src/core/model/vector.cc
--- ns-3.46/src/core/model/vector.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/vector.cc	2026-02-16 16:08:49.589229800 -0800
@@ -7,11 +7,9 @@
  */
 #include "vector.h"
 
-#include "fatal-error.h"
 #include "log.h"
 
 #include <cmath>
-#include <sstream>
 #include <tuple>
 
 /**
@@ -70,14 +68,14 @@
 Vector3D::GetLength() const
 {
     NS_LOG_FUNCTION(this);
-    return std::sqrt(x * x + y * y + z * z);
+    return std::hypot(x, y, z);
 }
 
 double
 Vector2D::GetLength() const
 {
     NS_LOG_FUNCTION(this);
-    return std::sqrt(x * x + y * y);
+    return std::hypot(x, y);
 }
 
 double
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/version.cache ns-3.47/src/core/model/version.cache
--- ns-3.46/src/core/model/version.cache	2025-10-01 18:47:01.000000000 -0700
+++ ns-3.47/src/core/model/version.cache	2026-02-16 16:16:45.552951000 -0800
@@ -1,10 +1,10 @@
-CLOSEST_TAG = '"ns-3.46"'
-VERSION_COMMIT_HASH = '"gea50b72ab"'
+CLOSEST_TAG = '"ns-3.47"'
+VERSION_COMMIT_HASH = '"ge2c9e30c6"'
 VERSION_DIRTY_FLAG = '0'
 VERSION_MAJOR = '3'
-VERSION_MINOR = '46'
+VERSION_MINOR = '47'
 VERSION_PATCH = '0'
 VERSION_RELEASE_CANDIDATE = '""'
-VERSION_TAG = '"ns-3.46"'
+VERSION_TAG = '"ns-3.47"'
 VERSION_TAG_DISTANCE = '0'
 VERSION_BUILD_PROFILE = 'default'
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/wall-clock-synchronizer.cc ns-3.47/src/core/model/wall-clock-synchronizer.cc
--- ns-3.46/src/core/model/wall-clock-synchronizer.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/wall-clock-synchronizer.cc	2026-02-16 16:08:49.589229800 -0800
@@ -10,7 +10,6 @@
 
 #include <chrono>
 #include <condition_variable>
-#include <ctime> // clock_t
 #include <mutex>
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/test/attribute-container-test-suite.cc ns-3.47/src/core/test/attribute-container-test-suite.cc
--- ns-3.46/src/core/test/attribute-container-test-suite.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/test/attribute-container-test-suite.cc	2026-02-16 16:08:49.590229700 -0800
@@ -20,7 +20,6 @@
 #include "ns3/uinteger.h"
 
 #include <algorithm>
-#include <iterator>
 #include <list>
 #include <map>
 #include <utility>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/test/command-line-test-suite.cc ns-3.47/src/core/test/command-line-test-suite.cc
--- ns-3.46/src/core/test/command-line-test-suite.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/test/command-line-test-suite.cc	2026-02-16 16:08:49.590229700 -0800
@@ -15,7 +15,6 @@
 #include "ns3/type-id.h"
 
 #include <cstdarg>
-#include <cstdlib>
 #include <sstream>
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/test/config-test-suite.cc ns-3.47/src/core/test/config-test-suite.cc
--- ns-3.46/src/core/test/config-test-suite.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/test/config-test-suite.cc	2026-02-16 16:08:49.590229700 -0800
@@ -18,8 +18,6 @@
 #include "ns3/trace-source-accessor.h"
 #include "ns3/traced-value.h"
 
-#include <sstream>
-
 /**
  * @file
  * @ingroup core-tests
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/test/examples-as-tests-test-suite.cc ns-3.47/src/core/test/examples-as-tests-test-suite.cc
--- ns-3.46/src/core/test/examples-as-tests-test-suite.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/test/examples-as-tests-test-suite.cc	2026-02-16 16:08:49.590229700 -0800
@@ -9,8 +9,6 @@
 #include "ns3/example-as-test.h"
 #include "ns3/system-path.h"
 
-#include <vector>
-
 using namespace ns3;
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/test/examples-to-run.py ns-3.47/src/core/test/examples-to-run.py
--- ns-3.46/src/core/test/examples-to-run.py	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/test/examples-to-run.py	2026-02-16 16:08:49.590229700 -0800
@@ -13,6 +13,7 @@
     ("main-ptr", "True", "True"),
     ("main-random-variable", "True", "False"),
     ("sample-random-variable", "True", "True"),
+    ("system-path-examples", "True", "True"),
     ("test-string-value-formatting", "True", "True"),
 ]
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/test/length-test-suite.cc ns-3.47/src/core/test/length-test-suite.cc
--- ns-3.46/src/core/test/length-test-suite.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/test/length-test-suite.cc	2026-02-16 16:08:49.590229700 -0800
@@ -23,7 +23,6 @@
 #include <functional>
 #include <initializer_list>
 #include <iomanip>
-#include <limits>
 #include <map>
 #include <sstream>
 #include <string>
@@ -303,6 +302,10 @@
     void TestModReturnsNonZero();
     /** @} */
 
+    /**
+     * Call graph was not generated because of its size.
+     * @hidecallgraph
+     */
     void DoRun() override;
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/test/matrix-array-test-suite.cc ns-3.47/src/core/test/matrix-array-test-suite.cc
--- ns-3.46/src/core/test/matrix-array-test-suite.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/test/matrix-array-test-suite.cc	2026-02-16 16:08:49.591230000 -0800
@@ -93,7 +93,6 @@
      */
     MatrixArrayTestCase<T>& operator=(MatrixArrayTestCase<T>&&) = default;
 
-  protected:
   private:
     void DoRun() override;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/test/one-uniform-random-variable-many-get-value-calls-test-suite.cc ns-3.47/src/core/test/one-uniform-random-variable-many-get-value-calls-test-suite.cc
--- ns-3.46/src/core/test/one-uniform-random-variable-many-get-value-calls-test-suite.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/test/one-uniform-random-variable-many-get-value-calls-test-suite.cc	2026-02-16 16:08:49.591230000 -0800
@@ -11,8 +11,6 @@
 #include "ns3/random-variable-stream.h"
 #include "ns3/test.h"
 
-#include <vector>
-
 /**
  * @file
  * @ingroup core-tests
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/test/pair-value-test-suite.cc ns-3.47/src/core/test/pair-value-test-suite.cc
--- ns-3.46/src/core/test/pair-value-test-suite.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/test/pair-value-test-suite.cc	2026-02-16 16:08:49.591230000 -0800
@@ -16,8 +16,6 @@
 #include "ns3/test.h"
 #include "ns3/type-id.h"
 
-#include <algorithm>
-#include <iterator>
 #include <sstream>
 #include <utility>
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/test/random-variable-stream-test-suite.cc ns-3.47/src/core/test/random-variable-stream-test-suite.cc
--- ns-3.46/src/core/test/random-variable-stream-test-suite.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/test/random-variable-stream-test-suite.cc	2026-02-16 16:08:49.591230000 -0800
@@ -22,7 +22,6 @@
 
 #include <cmath>
 #include <ctime>
-#include <fstream>
 #include <gsl/gsl_cdf.h>
 #include <gsl/gsl_histogram.h>
 #include <gsl/gsl_randist.h>
@@ -744,6 +743,23 @@
                               expectedMean,
                               expectedRms * TOLERANCE,
                               "Wrong mean value.");
+
+    // Repeat test when setting via stddev attribute instead of variance
+    x->SetStdDev(sqrt(variance));
+
+    // Calculate the mean of these values.
+    valueMean = Average(x);
+
+    // The expected value for the mean of the values returned by a
+    // normally distributed random variable is equal to mean.
+    expectedMean = mean;
+    expectedRms = mean / std::sqrt(variance * N_MEASUREMENTS);
+
+    // Test that values have approximately the right mean value.
+    NS_TEST_ASSERT_MSG_EQ_TOL(valueMean,
+                              expectedMean,
+                              expectedRms * TOLERANCE,
+                              "Wrong mean value.");
 }
 
 /**
@@ -2888,7 +2904,7 @@
 }
 
 /**
- * @ingroup rng-test
+ * @ingroup rng-tests
  * @ingroup tests
  *
  * @brief Test the Shuffle function
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/test/rng-test-suite.cc ns-3.47/src/core/test/rng-test-suite.cc
--- ns-3.46/src/core/test/rng-test-suite.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/test/rng-test-suite.cc	2026-02-16 16:08:49.591230000 -0800
@@ -7,9 +7,7 @@
 #include "ns3/rng-seed-manager.h"
 #include "ns3/test.h"
 
-#include <cmath>
 #include <ctime>
-#include <fstream>
 #include <gsl/gsl_cdf.h>
 #include <gsl/gsl_histogram.h>
 
@@ -23,6 +21,7 @@
 
 /**
  * @ingroup core-tests
+ * @ingroup randomvariable
  * @defgroup rng-tests Random number generators tests
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/test/simulator-test-suite.cc ns-3.47/src/core/test/simulator-test-suite.cc
--- ns-3.46/src/core/test/simulator-test-suite.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/test/simulator-test-suite.cc	2026-02-16 16:08:49.591230000 -0800
@@ -206,6 +206,9 @@
  * @brief Check that all templates are instantiated correctly.
  *
  * This is a compilation test, it cannot fail at runtime.
+ *
+ * Call graph was not generated because of its size.
+ * @hidecallgraph
  */
 class SimulatorTemplateTestCase : public TestCase
 {
@@ -228,6 +231,10 @@
     /** @} */
 
   private:
+    /**
+     * Call graph was not generated because of its size.
+     * @hidecallgraph
+     */
     void DoRun() override;
 
     /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/test/threaded-test-suite.cc ns-3.47/src/core/test/threaded-test-suite.cc
--- ns-3.46/src/core/test/threaded-test-suite.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/test/threaded-test-suite.cc	2026-02-16 16:08:49.591230000 -0800
@@ -15,7 +15,6 @@
 #include "ns3/test.h"
 
 #include <chrono> // seconds, milliseconds
-#include <ctime>
 #include <list>
 #include <thread> // sleep_for
 #include <utility>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/test/tuple-value-test-suite.cc ns-3.47/src/core/test/tuple-value-test-suite.cc
--- ns-3.46/src/core/test/tuple-value-test-suite.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/test/tuple-value-test-suite.cc	2026-02-16 16:08:49.592229800 -0800
@@ -16,11 +16,7 @@
 #include "ns3/tuple.h"
 #include "ns3/uinteger.h"
 
-#include <algorithm>
-#include <iterator>
-#include <sstream>
 #include <tuple>
-#include <utility>
 
 using namespace ns3;
 
